Error on activating eHive Access wordpress plugin

Ask questions related to the eHive application programming interfaces, including the OAI-PMH data harvester, REST API and WordPress plugins.
BMDmike
Posts: 1
Joined: Wed May 07, 2014 2:05 am

Error on activating eHive Access wordpress plugin

Postby BMDmike » Wed May 07, 2014 12:22 pm

Upon an unsuccessful attempt to activate the plugin eHive Access we see the following message :
Parse error: syntax error, unexpected T_FUNCTION in /home/..../wp-content/plugins/ehive-access/EHiveAccess.php on line 381
Is this a problem due to the version of PHP 5.2.6 and is there a version we can install that is compatible?

paul
Posts: 193
Joined: Thu May 08, 2008 10:31 am
Location: Auckland

Re: Error on activating eHive Access wordpress plugin

Postby paul » Thu May 08, 2014 10:51 am

The oldest version of PHP currently supported is 5.3.x, so this is definitely where the problem lies. 5.2.6 was released in 2008, so it would be well worth upgrading this just in terms of security patches. We recommend upgrading to the latest version that your hosting company provides.

Thanks,
Paul


Return to “Developers”

Who is online

Users browsing this forum: No registered users and 1 guest